//---------------------------------
// 2019/3/4

#include <Arduino.h>

#ifndef CCS811_H
#define CCS811_H

class CCS811{
public:
  // Device I2C Address
  uint8_t addrI2C;

  uint16_t TVOC = 0;
  uint16_t eCO2 = 0;

  bool begin(uint8_t addrI2C);

  uint8_t read(uint8_t addr);
  void read(uint8_t addr, uint8_t*data, uint8_t length);
  void write(uint8_t addr, uint8_t data);
  void write(uint8_t addr, uint8_t*data, uint8_t length);

  void appStart();
  bool readID();
  void reset();
  uint8_t getDriveMode();
  void setDriveMode(uint8_t mode);
  bool getALGResult();

  String getVersionStr();
};

#endif
